/*TAKE A LITTLE PEEKSIE BUT NO PROMISES THAT ANY OF THIS IS GOOD!*/
:root {
    --palepink: #fff7f8;
    --pale: #f4e2e9;
    --bg: #f2dada;
    --cream: #FFF0DD;
    --pink: #f7c9c8;
    --pinky: #ffdedb;
    --rosey: #ffdbdd;
    --dusty: #7f6969; 
    --font: #aa6363;
    --bg-image: url('/images/bg/heart_lattice_pink_demonicpedigree.png');
    --magenta: #b24270;
    --bubblegum: #ef82a5;
    --dark: #1b1a1a;
    --cherry: #AC1E44;
    /*century gothic*/
  }
  
  body {
      font-family: Mali;
      color: var(--font);
      background-image: var(--bg-image);
      background-color: var(--palepink);
      background-attachment: fixed;
      background-size: 150px;
    }

    footer {
      color: var(--magenta);
      text-align: center;
    }

    footer a {
      text-decoration: none;
    }
  
    h1, h2, h3, h4 {
      font-family: Stayola, sans-serif;
      margin: 0px;
    }

    h1 {
      font-size: 64px;
      font-weight: normal;
    }

    h2 {
      font-family: 'October Twilight';
      font-size: 48px;
      color: var(--bubblegum);
    }

    h3 {
      font-size: 38px;
    }
  
    p a:hover {
    color: var(--pink);
    }
  
    hr {
      border:0;
      height: 30px;
      background:url('/images/dividers/pinklace2\ engrampixel.webp');
      background-position: center;
      background-repeat: repeat-x;
    }

    p {
      margin: 20px 50px 20px 50px;
    }

  /*Big container that wraps everything up, excuse the silly name*/
  #tupperware {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    position: relative;
    height: 100vh;
    margin-top: -20px;
  }
  
  /*main body area*/
  .boxcontainer {
      min-height: 100%;
      max-width: 1200px;
      min-width: 1200px;
      background-color: var(--palepink);
      background-image: url('/images/bg/star_deco_pink_demonicpedigree.png');
      background-size: 100px;
      
      color: var(--cherry);
      overflow: auto;
      padding: 20px;
      padding-top: 0px;
      padding-bottom: 0px;
      margin: auto;
      margin-top: -9px;
      margin-bottom: -9px;
  
      border-right: 20px solid transparent;
      border-left: 20px solid transparent;
      border-top: none;
      border-image: url('/images/borders/wine_red_lace_solaria.png') 35 round;
      border-image-outset: 1;
      border-bottom: 2px solid black;
        }

    .boxcontainer img {
      max-width: 100%;
    }
  
    .boxcontainer a {
      color: var(--font);
      font-weight: bold;
      }

      @media only screen and (max-width:800px){
        .boxcontainer {
          min-width: 100%;
        }
    }

    .innercontainer {
      background-image: url('/images/bg/pink_grid_lapin_edit.png');
      border: 1px solid var(--magenta);
      min-height: 100vh;
      padding: 25px;
    }

    .banner {
      text-align: center;
      position: relative;
    }

    .title {
      user-select: none;
      color: var(--bubblegum);
      text-shadow: var(--palepink) -2px 0 , var(--palepink) 0 2px , var(--palepink) 2px 0 , var(--palepink) 0 -2px ;
      word-spacing: 20px;
    }

    .nav {
      font-family: Mali;
      font-weight: bold;
      font-size: 20px;
      text-align: center;
    }

    .nav ul {
      display: flex;
      justify-content: center;
      flex-wrap: wrap;
      gap: 20px 20px;

      list-style-type: none;
      overflow: hidden;
    }

    .nav li {
      border-radius: 10px;
      background-color: var(--palepink);
      padding: 7px;
      border: 1px solid var(--bubblegum);
      transition: 0.2s ease-in-out;
    }

    .nav li:hover {
      background-color: var(--bubblegum);
      transition: 0.2s ease-in-out;
    }
    
    .nav a {
      color: var(--bubblegum);
      text-decoration: none;
      vertical-align: middle;
      transition: 0.2s ease-in-out;
    }

    .nav a:hover {
      color: white;
      transition: 0.2s ease-in-out;
    }

    .nav img {
      vertical-align: middle;
    }

    .gallery {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
      gap: 10px;
      justify-items: center;
    }
  
    .center {
      text-align: center;
    }
   
    /*GETS RID OF THAT ANNOYING TRIANGLE ON READ MORE*/
    details > summary {
      list-style: none;
    }
    details > summary::-webkit-details-marker {
      display: none;
    }
    /*...*/
  
    .hovertext {
      margin-right: 1px;
      transition: margin 0.2s ease-in-out;
      animation: float 1.5s linear infinite;
    }
  
  /*ANIMATIONS*/
  @keyframes float {
    0% {
      transform: translatey(0px);
      }
    50% {
      transform: translatey(-6px);
    }
    100% {
      transform: translatey(0px);
    }
    }
  
  .floatingtext {
  animation: float 1.5s linear infinite;
  }
  
    .blurred {
    transition: 0.25s filter linear;
    -webkit-transition: 0.25s filter linear;
    -moz-transition: 0.25s filter linear;
    -o-transition: 0.25s filter linear;
    filter: blur(10px);
    }
    
    .blurred:hover {
      filter: blur(0);
    }
  
  
    /*TEXT SELECTION*/
    ::-moz-selection { /* Code for Firefox */
      color: var(--palepink);
      background: var(--magenta);
    }
    
    ::selection {
      color: var(--palepink);
      background: var(--bubblegum);
    }

   .whiteshadow {
      filter: 
      drop-shadow(1px 1px #fff) 
      drop-shadow(-1px 1px #fff) 
      drop-shadow(1px 1px #fff) 
      drop-shadow(1px -1px  #fff) 
      drop-shadow(1px 1px #fff) 
      drop-shadow(-1px 1px #fff) 
      drop-shadow(1px -1px #fff) 
      drop-shadow(-1px -1px #fff);    
   }

    #leftpagedoll {
    position: fixed;
    bottom: 2%;
    left: 3%;

    filter: 
      drop-shadow(1px 1px #fff) 
      drop-shadow(-1px 1px #fff) 
      drop-shadow(1px 1px #fff) 
      drop-shadow(1px -1px  #fff) 
      drop-shadow(1px 1px #fff) 
      drop-shadow(-1px 1px #fff) 
      drop-shadow(1px -1px #fff) 
      drop-shadow(-1px -1px #fff);     
    }

  #leftpagedoll img {
    max-width: 70%;
    }

  @media only screen and (max-width: 900px) { 
    #leftpagedoll {
      display: none;
      }
    }

  #rightpagedoll {
    position: fixed;
    bottom: 0px;
    right: 3%;

    filter: 
      drop-shadow(1px 1px #fff) 
      drop-shadow(-1px 1px #fff) 
      drop-shadow(1px 1px #fff) 
      drop-shadow(1px -1px  #fff) 
      drop-shadow(1px 1px #fff) 
      drop-shadow(-1px 1px #fff) 
      drop-shadow(1px -1px #fff) 
      drop-shadow(-1px -1px #fff);
    }

  #rightpagedoll img {
    max-width: 70%;
    }

  @media only screen and (max-width: 900px) { 
    #rightpagedoll {
      display: none;
      }
    }
    
    